using System;

internal sealed class Delegate582 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate582 delegate582_1)
	{
		return delegate582_1(object_0);
	}

	public extern Delegate582(object object_0, IntPtr intptr_0);

	static Delegate582()
	{
		Class10.smethod_13(typeof(Delegate582).TypeHandle);
	}

	internal static Delegate582 delegate582_0;
}
